# Method: devices.deviceUsers.approve

Approves device to access user data.

### HTTP request

`POST https://cloudidentity.googleapis.com/v1/{name=devices/*/deviceUsers/*}:approve`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the Device in format: `devices/{device}/deviceUsers/{deviceUser}`, where device is the unique ID assigned to the Device, and deviceUser is the unique ID assigned to the User. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customer": string } ``` |

| Fields ||
|---|---|
| `customer` | `string` Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity/docs/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.devices`
- `https://www.googleapis.com/auth/cloud-identity`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).